package scenarioStructures;

import java.util.ArrayList;
import java.io.Serializable;

//One of this object-type per field, geographical areas, subsea templates, and wells.
public class Scenarios  implements Serializable {

	ArrayList scenarios;

	//constructor
	public Scenarios(){
		scenarios = new ArrayList();
	}
	
	public OneScenario getScenario(int index){
		return (OneScenario)scenarios.get(index);
	}
	
	public void addScenario(OneScenario oneScenario){
		//int nextScenarioId = getNextScenarioId();
		//oneScenario.setScenarioId(nextScenarioId);
		scenarios.add(oneScenario);
	}
	
	public void addScenarioAndSetScenarioId(OneScenario oneScenario){
		int nextScenarioId = getNextScenarioId();
		oneScenario.setScenarioId(nextScenarioId);
		scenarios.add(oneScenario);
	}	
	
	public int getNextScenarioId() {
		return scenarios.size();
	}
	
	public int getNumberOfScenarios() {
		return scenarios.size();
	}
	
}


