package production_system;

import java.util.Observable;

//tell every agent listening to scenario-choice which one has been chosen.
public class ScenarioChosenObservable extends Observable {

	private int scenarioChosen = -1;
	
	public ScenarioChosenObservable() {
		
	}//end constructor
	
	public void setScenarioChosen(int scenarioChosen) {
		this.scenarioChosen = scenarioChosen;
		setChanged();
		notifyObservers();
		clearChanged();
	}//end setScenarioChosen()
	
	public int getScenarioChosen() {
		return scenarioChosen;
	}//end getScenarioChosen()
	
}//end class
